# Return available locales

This function lists an account's available interface languages.

Endpoint: GET /Locale/list_locales
Version: 11.136.0.19
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_locales"

  - `module` (string)
    The name of the module called.
    Example: "Locale"

  - `result` (object)

  - `result.data` (array)

  - `result.data.direction` (string)
    The locale's text direction.
* ltr - Left to right.
* rtl - Right to left.
    Enum: "ltr", "rtl"

  - `result.data.local_name` (string)
    The locale's full name, in the locale's language.
    Example: "Deutsch"

  - `result.data.locale` (string)
    The locale's two-letter [ISO-3166 code](http://www.iso.org/iso/country_codes.htm).
    Example: "de"

  - `result.data.name` (string)
    The locale's full name.
    Example: "German"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


